classification
Title: require sqlite3_prepare_v2
Type: Stage: resolved
Components: Extension Modules Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, berker.peksag, miss-islington
Priority: normal Keywords: patch

Created on 2017-09-20 01:47 by benjamin.peterson, last changed 2019-04-26 16:15 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3666 merged benjamin.peterson, 2017-09-20 04:11
PR 12923 merged LordAro, 2019-04-23 10:21
PR 12972 merged miss-islington, 2019-04-26 15:38
Messages (6)
msg302581 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2017-09-20 01:47
sqlite has had the sqlite3_prepare_v2 API for more than 10 years now. The sqlite module should switch to using it, which will let us delete some code for automatically recompiling statements.
msg302585 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-09-20 03:35
We already use sqlite3_prepare_v2 if it's available: https://github.com/python/cpython/blob/master/Modules/_sqlite/util.h#L43

Do you want to use sqlite3_prepare_v2() unconditionally and drop support for older SQLite versions?
msg302588 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2017-09-20 04:07
ermm, yes, I guess I was looking at an old version of the code.
msg302622 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2017-09-20 14:36
New changeset 525269430a3f9fbb7287e4bb6b365ac216004980 by Benjamin Peterson in branch 'master':
closes bpo-31525: require sqlite3_prepare_v2 (#3666)
https://github.com/python/cpython/commit/525269430a3f9fbb7287e4bb6b365ac216004980
msg340925 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2019-04-26 15:38
New changeset ad0daf5b374dc43540d4ffcf32ca30e5c5147b90 by Berker Peksag (Charles Pigott) in branch 'master':
bpo-31525: Increase minimum sqlite version number check (GH-12923)
https://github.com/python/cpython/commit/ad0daf5b374dc43540d4ffcf32ca30e5c5147b90
msg340929 - (view) Author: miss-islington (miss-islington) Date: 2019-04-26 16:15
New changeset 967f14ec2aff908b7f9e84e93aa60f2a34e2ca96 by Miss Islington (bot) in branch '3.7':
bpo-31525: Increase minimum sqlite version number check (GH-12923)
https://github.com/python/cpython/commit/967f14ec2aff908b7f9e84e93aa60f2a34e2ca96
History
Date User Action Args
2019-04-26 16:15:34miss-islingtonsetnosy: + miss-islington
messages: + msg340929
2019-04-26 15:38:44miss-islingtonsetpull_requests: + pull_request12899
2019-04-26 15:38:20berker.peksagsetmessages: + msg340925
2019-04-23 10:21:16LordArosetpull_requests: + pull_request12852
2017-09-20 14:36:20benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg302622

stage: patch review -> resolved
2017-09-20 04:11:48benjamin.petersonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request3655
2017-09-20 04:07:53benjamin.petersonsetmessages: + msg302588
title: switch to sqlite3_prepare_v2 -> require sqlite3_prepare_v2
2017-09-20 03:35:55berker.peksagsetnosy: + berker.peksag
messages: + msg302585
2017-09-20 01:47:44benjamin.petersoncreate